# GET /scheduledchanges/{{suscription_id}} — Get Scheduled Subscription

> Product: **Pabbly Subscription Billing** (v1)
> Base URL: `https://payments.pabbly.com/api/v1`
> Auth: Basic via `Authorization` header
> Canonical: `/subscription-billing/subscriptions/get-scheduled-subscription`

With this GET request API you can fetch the details of the scheduled subscription. You will need to add the subscription Id in the API link and fire it in GET request. In response you will get the details of old plan, new plans and the scheduled timings.

**Path parameters:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| suscription_id | string | Yes |  |

**Response (200)** — Get Scheduled Subscription:

```json
{
    "status": "success",
    "message": "Scheduled Subscription",
    "data": {
        "old_plan": {
            "plan_active": "true",
            "bump_offer": {},
            "createdAt": "2020-02-06T11:30:00.807Z",
            "updatedAt": "2020-02-06T11:30:00.807Z",
            "id": "5e3bf8b8db85462760295d2f",
            "product_id": "5e3a95143c92e44b424b6d47",
            "plan_name": "New recurring plan",
            "plan_code": "new-recurring-plan",
            "price": 200,
            "billing_period": "m",
            "billing_period_num": "1",
            "billing_cycle": "lifetime",
            "billing_cycle_num": null,
            "trial_period": 0,
            "setup_fee": 0,
            "plan_description": "<p>zdf</p>"
        },
        "new_plan": {
            "plan_active": "true",
            "redirect_url": null,
            "bump_offer": {
                "plan_id": null,
                "title_label": null,
                "tag_line": null,
                "description": null
            },
            "createdAt": "2020-02-05T11:29:23.580Z",
            "updatedAt": "2020-02-05T11:29:23.580Z",
            "id": "5e3aa7133c92e44b424b6dec",
            "product_id": "5e3a95143c92e44b424b6d47",
            "plan_name": "Recurring yearly plan Edit",
            "plan_code": "Copy-recurring-monthly-plan",
            "price": 1000,
            "billing_period": "y",
            "billing_period_num": "1",
            "billing_cycle": "lifetime",
            "billing_cycle_num": null,
            "trial_period": 0,
            "setup_fee": 0,
            "plan_description": ""
        },
        "quantity": "4",
        "currency_symbol": "$",
        "addons": {},
        "coupon": {
            "discount_amount": 0
        },
        "customer_id": "5e5e3031f7992542b0b55113",
        "next_billing_date": "2020-04-03T10:24:26.262Z",
        "scheduled_date": "2020-04-03T10:24:26.262Z",
        "when_apply": "eot"
    }
}
```

**Code examples:**

_cURL_

```curl
curl https://payments.pabbly.com/api/v1/scheduledchanges/{{suscription_id}} \
  -u {{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}
```

_Ruby_

```ruby
require 'net/http'
require 'json'

uri = URI('https://payments.pabbly.com/api/v1/scheduledchanges/{{suscription_id}}')
request = Net::HTTP::Get.new(uri)
request.basic_auth '{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == 'https') do |http|
  http.request(request)
end

data = JSON.parse(response.body)
```

_Python_

```python
import requests
from requests.auth import HTTPBasicAuth

response = requests.get(
    'https://payments.pabbly.com/api/v1/scheduledchanges/{{suscription_id}}',
    auth=HTTPBasicAuth('{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'),
)

data = response.json()
```

_PHP_

```php
<?php
$ch = curl_init('https://payments.pabbly.com/api/v1/scheduledchanges/{{suscription_id}}');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_USERPWD, '{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}');

$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
```

_Java_

```java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;

String credentials = Base64.getEncoder().encodeToString("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}".getBytes());

HttpClient client = HttpClient.newHttpClient();
HttpRequest.Builder builder = HttpRequest.newBuilder()
    .uri(URI.create("https://payments.pabbly.com/api/v1/scheduledchanges/{{suscription_id}}"))
    .header("Authorization", "Basic " + credentials)
    .GET();

HttpRequest request = builder.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```

_Node.js_

```node
const credentials = Buffer.from('{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}').toString('base64');

const response = await fetch('https://payments.pabbly.com/api/v1/scheduledchanges/{{suscription_id}}', {
  method: 'GET',
  headers: {
    'Authorization': `Basic ${credentials}`,
  },
});

const data = await response.json();
```

_Go_

```go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://payments.pabbly.com/api/v1/scheduledchanges/{{suscription_id}}", nil)
    req.SetBasicAuth("{{YOUR_API_KEY}}", "{{YOUR_SECRET_KEY}}")

    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
```

_.NET_

```dotnet
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

var credentials = Convert.ToBase64String(Encoding.ASCII.GetBytes("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}"));

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://payments.pabbly.com/api/v1/scheduledchanges/{{suscription_id}}");
request.Headers.TryAddWithoutValidation("Authorization", $"Basic {credentials}");

var response = await client.SendAsync(request);
var data = await response.Content.ReadAsStringAsync();
Console.WriteLine(data);
```

---

**Other endpoints in Subscriptions:**

- [POST /subscription/{{customer_id}} — Create Subscription For Existing Customer](/subscription-billing/subscriptions/create-subscription-for-existing-customer)
- [POST /subscription/{{subscription_id}}/cancel — Cancel Subscription For Existing Customer](/subscription-billing/subscriptions/cancel-subscription-for-existing-customer)
- [GET /subscription/{{subscription_id}} — Get Single Subscription](/subscription-billing/subscriptions/get-single-subscription)
- [GET /subscriptions/{{customer_id}} — List All Subscriptions By Customer Id](/subscription-billing/subscriptions/list-all-subscriptions-by-customer-id)
- [GET /subscriptions — List All Subscriptions](/subscription-billing/subscriptions/list-all-subscriptions)
- [PUT /subscription/{{subscription_id}}/upgrade-downgrade — Upgrade Downgrade Subscription](/subscription-billing/subscriptions/upgrade-downgrade-subscription)
- [POST /subscription/{{subscription_id}}/update_charges — Subscription Update Charges](/subscription-billing/subscriptions/subscription-update-charges)
- [DELETE /subscriptions/{{subscription_id}} — Delete Subscription](/subscription-billing/subscriptions/delete-subscription)
- [PUT /subscription/change-billing/{{subscription_id}} — Change Subscription Billing Date](/subscription-billing/subscriptions/change-subscription-billing-date)
- [PUT /subscription/{{subscription_id}}/update — Update Subscription](/subscription-billing/subscriptions/update-subscription)
- [PUT /subscription/{{subscription_id}}/pause — Pause Subscription](/subscription-billing/subscriptions/pause-subscription)
- [PUT /subscription/{{subscription_id}}/resume — Resume Subscription](/subscription-billing/subscriptions/resume-subscription)

